diff --git a/gcc/config/epiphany/epiphany.c b/gcc/config/epiphany/epiphany.c
index 59b2410..a310bc3 100644
--- a/gcc/config/epiphany/epiphany.c
+++ b/gcc/config/epiphany/epiphany.c
@@ -206,7 +206,7 @@ epiphany_init (void)
   epiphany_punct_chars['-'] = 1;
 
   epiphany_normal_fp_rounding
-    = (epiphany_normal_fp_mode == FP_MODE_ROUND_TRUNC
+    = (GCC_OPTION (epiphany_normal_fp_mode) == FP_MODE_ROUND_TRUNC
        ? FP_MODE_ROUND_TRUNC : FP_MODE_ROUND_NEAREST);
   register_pass (&mode_sw4_info);
   register_pass (&mode_sw2_info);
@@ -559,7 +559,7 @@ gen_compare_reg (enum machine_mode cmode, enum rtx_code code,
       if (mode == CC_FP_GTEmode
 	  && (code == LE || code == LT || code == UNGT || code == UNGE))
 	{
-	  if (flag_finite_math_only
+	  if (GCC_OPTION (flag_finite_math_only)
 	      && ((REG_P (x) && REGNO (x) == GPR_0)
 		  || (REG_P (y) && REGNO (y) == GPR_1)))
 	    switch (code)
@@ -1038,14 +1038,14 @@ epiphany_compute_frame_size (int size /* # of var. bytes allocated.  */)
     {
       reg_size += UNITS_PER_WORD;
       SET_HARD_REG_BIT (gmask, regno);
-      if (epiphany_stack_offset - reg_size == 0)
+      if (GCC_OPTION (epiphany_stack_offset) - reg_size == 0)
 	first_slot = regno;
     }
 
   if (interrupt_p)
     reg_size += 2 * UNITS_PER_WORD;
   else
-    small_slots = epiphany_stack_offset / UNITS_PER_WORD;
+    small_slots = GCC_OPTION (epiphany_stack_offset) / UNITS_PER_WORD;
 
   if (frame_pointer_needed)
     {
@@ -1078,7 +1078,7 @@ epiphany_compute_frame_size (int size /* # of var. bytes allocated.  */)
     MACHINE_FUNCTION (cfun)->lr_clobbered = 1;
   /* ??? Could sometimes do better than that.  */
   current_frame_info.small_threshold
-    = (optimize >= 3 || interrupt_p ? 0
+    = (GCC_OPTION (optimize) >= 3 || interrupt_p ? 0
        : pretend_size ? small_slots
        : 4 + small_slots - (first_slot == GPR_FP));
 
@@ -1089,12 +1089,12 @@ epiphany_compute_frame_size (int size /* # of var. bytes allocated.  */)
 	 stack slots when optimizing.  This rounding could be avoided with
 	 more complex reordering of the register saves, but that would seem
 	 to be a lot of code complexity for little gain.  */
-      || (reg_size > 8 && optimize))
+      || (reg_size > 8 && GCC_OPTION (optimize)))
     reg_size = EPIPHANY_STACK_ALIGN (reg_size);
   if (((total_size + reg_size
 	/* Reserve space for UNKNOWN_REGNUM.  */
 	+ EPIPHANY_STACK_ALIGN (4))
-       <= (unsigned) epiphany_stack_offset)
+       <= (unsigned) GCC_OPTION (epiphany_stack_offset))
       && !interrupt_p
       && crtl->is_leaf && !frame_pointer_needed)
     {
@@ -1104,21 +1104,21 @@ epiphany_compute_frame_size (int size /* # of var. bytes allocated.  */)
     }
   else if (reg_size
 	   && !interrupt_p
-	   && reg_size < (unsigned HOST_WIDE_INT) epiphany_stack_offset)
-    reg_size = epiphany_stack_offset;
+	   && reg_size < (unsigned HOST_WIDE_INT) GCC_OPTION (epiphany_stack_offset))
+    reg_size = GCC_OPTION (epiphany_stack_offset);
   if (interrupt_p)
     {
       if (total_size + reg_size < 0x3fc)
 	{
 	  first_slot_offset = EPIPHANY_STACK_ALIGN (total_size + reg_size);
-	  first_slot_offset += EPIPHANY_STACK_ALIGN (epiphany_stack_offset);
+	  first_slot_offset += EPIPHANY_STACK_ALIGN (GCC_OPTION (epiphany_stack_offset));
 	  last_slot = -1;
 	}
       else
 	{
 	  first_slot_offset = EPIPHANY_STACK_ALIGN (reg_size);
 	  last_slot_offset = EPIPHANY_STACK_ALIGN (total_size);
-	  last_slot_offset += EPIPHANY_STACK_ALIGN (epiphany_stack_offset);
+	  last_slot_offset += EPIPHANY_STACK_ALIGN (GCC_OPTION (epiphany_stack_offset));
 	  if (last_slot >= 0)
 	    CLEAR_HARD_REG_BIT (gmask, last_slot);
 	}
@@ -1130,17 +1130,17 @@ epiphany_compute_frame_size (int size /* # of var. bytes allocated.  */)
     }
   else
     {
-      if (total_size + reg_size <= (unsigned) epiphany_stack_offset)
+      if (total_size + reg_size <= (unsigned) GCC_OPTION (epiphany_stack_offset))
 	{
 	  gcc_assert (first_slot < 0);
-	  gcc_assert (reg_size == 0 || (int) reg_size == epiphany_stack_offset);
+	  gcc_assert (reg_size == 0 || (int) reg_size == GCC_OPTION (epiphany_stack_offset));
 	  last_slot_offset = EPIPHANY_STACK_ALIGN (total_size + reg_size);
 	}
       else
 	{
 	  first_slot_offset
 	    = (reg_size
-	       ? EPIPHANY_STACK_ALIGN (reg_size - epiphany_stack_offset) : 0);
+	       ? EPIPHANY_STACK_ALIGN (reg_size - GCC_OPTION (epiphany_stack_offset)) : 0);
 	  if (!first_slot_offset)
 	    {
 	      if (first_slot != GPR_FP || !current_frame_info.need_fp)
@@ -1149,7 +1149,7 @@ epiphany_compute_frame_size (int size /* # of var. bytes allocated.  */)
 	    }
 	  last_slot_offset = EPIPHANY_STACK_ALIGN (total_size);
 	  if (reg_size)
-	    last_slot_offset += EPIPHANY_STACK_ALIGN (epiphany_stack_offset);
+	    last_slot_offset += EPIPHANY_STACK_ALIGN (GCC_OPTION (epiphany_stack_offset));
 	}
       if (last_slot >= 0)
 	CLEAR_HARD_REG_BIT (gmask, last_slot);
@@ -1159,7 +1159,7 @@ epiphany_compute_frame_size (int size /* # of var. bytes allocated.  */)
     {
       CLEAR_HARD_REG_BIT (gmask, first_slot);
       if (TEST_HARD_REG_BIT (gmask, first_slot ^ 1)
-	  && epiphany_stack_offset - pretend_size >= 2 * UNITS_PER_WORD)
+	  && GCC_OPTION (epiphany_stack_offset) - pretend_size >= 2 * UNITS_PER_WORD)
 	{
 	  CLEAR_HARD_REG_BIT (gmask, first_slot ^ 1);
 	  first_slot_size = 2 * UNITS_PER_WORD;
@@ -1222,7 +1222,7 @@ epiphany_print_operand (FILE *file, rtx x, int code)
      break;
 
     case '-':
-    fprintf (file, "r%d", epiphany_m1reg);
+    fprintf (file, "r%d", GCC_OPTION (epiphany_m1reg));
     return;
 
     case 0 :
@@ -1387,7 +1387,7 @@ epiphany_final_prescan_insn (rtx insn ATTRIBUTE_UNUSED,
 			     rtx *opvec ATTRIBUTE_UNUSED,
 			     int noperands ATTRIBUTE_UNUSED)
 {
-  int i = epiphany_n_nops;
+  int i = GCC_OPTION (epiphany_n_nops);
   rtx pat ATTRIBUTE_UNUSED;
 
   while (i--)
@@ -1464,11 +1464,11 @@ epiphany_function_value_regno_p (const unsigned int regno ATTRIBUTE_UNUSED)
 static void
 epiphany_override_options (void)
 {
-  if (epiphany_stack_offset < 4)
+  if (GCC_OPTION (epiphany_stack_offset) < 4)
     error ("stack_offset must be at least 4");
-  if (epiphany_stack_offset & 3)
+  if (GCC_OPTION (epiphany_stack_offset) & 3)
     error ("stack_offset must be a multiple of 4");
-  epiphany_stack_offset = (epiphany_stack_offset + 3) & -4;
+  GCC_OPTION (epiphany_stack_offset) = (GCC_OPTION (epiphany_stack_offset) + 3) & -4;
 
   /* This needs to be done at start up.  It's convenient to do it here.  */
   epiphany_init ();
@@ -1565,11 +1565,11 @@ epiphany_emit_save_restore (int min, int limit, rtx addr, int epilogue_p)
 {
   int i;
   int stack_offset
-    = current_frame_info.first_slot >= 0 ? epiphany_stack_offset : 0;
+    = current_frame_info.first_slot >= 0 ? GCC_OPTION (epiphany_stack_offset) : 0;
   rtx skipped_mem = NULL_RTX;
   int last_saved = limit - 1;
 
-  if (!optimize)
+  if (!GCC_OPTION (optimize))
     while (last_saved >= 0
 	   && !TEST_HARD_REG_BIT (current_frame_info.gmask, last_saved))
       last_saved--;
@@ -1699,7 +1699,7 @@ epiphany_expand_prologue (void)
     epiphany_compute_frame_size (get_frame_size ());
 
   /* It is debatable if we should adjust this by epiphany_stack_offset.  */
-  if (flag_stack_usage_info)
+  if (GCC_OPTION (flag_stack_usage_info))
     current_function_static_stack_size = current_frame_info.total_size;
 
   fn_type = epiphany_compute_function_type (current_function_decl);
@@ -1731,7 +1731,7 @@ epiphany_expand_prologue (void)
   else
     {
       addr = plus_constant (Pmode, stack_pointer_rtx,
-			    epiphany_stack_offset
+			    GCC_OPTION (epiphany_stack_offset)
 			    - (HOST_WIDE_INT) UNITS_PER_WORD);
       epiphany_emit_save_restore (0, current_frame_info.small_threshold,
 				  addr, 0);
@@ -1830,7 +1830,7 @@ epiphany_expand_epilogue (int sibcall_p)
     }
   restore_offset = (interrupt_p
 		    ? - 3 * UNITS_PER_WORD
-		    : epiphany_stack_offset - (HOST_WIDE_INT) UNITS_PER_WORD);
+		    : GCC_OPTION (epiphany_stack_offset) - (HOST_WIDE_INT) UNITS_PER_WORD);
   addr = plus_constant (Pmode, stack_pointer_rtx,
 			(current_frame_info.first_slot_offset
 			 + restore_offset));
@@ -1872,7 +1872,7 @@ epiphany_expand_epilogue (int sibcall_p)
 		      gen_frame_mem (DImode, addr));
     }
   addr = plus_constant (Pmode, stack_pointer_rtx,
-			epiphany_stack_offset - (HOST_WIDE_INT) UNITS_PER_WORD);
+			GCC_OPTION (epiphany_stack_offset) - (HOST_WIDE_INT) UNITS_PER_WORD);
   epiphany_emit_save_restore (0, current_frame_info.small_threshold, addr, 1);
   if (!sibcall_p)
     {
@@ -1964,7 +1964,7 @@ epiphany_adjust_cost (rtx insn, rtx link, rtx dep_insn, int cost)
 
 #define RTX_OK_FOR_INDEX_P(MODE, X) \
   ((GET_MODE_CLASS (MODE) != MODE_VECTOR_INT \
-    || epiphany_vect_align >= GET_MODE_SIZE (MODE)) \
+    || GCC_OPTION (epiphany_vect_align) >= GET_MODE_SIZE (MODE)) \
    && (REG_P (X) && REG_OK_FOR_INDEX_P (X)))
 
 #define LEGITIMATE_OFFSET_ADDRESS_P(MODE, X) \
@@ -2156,10 +2156,10 @@ epiphany_conditional_register_usage (void)
 	  call_used_regs[i] = 1;
 	}
     }
-  if (epiphany_m1reg >= 0)
+  if (GCC_OPTION (epiphany_m1reg) >= 0)
     {
-      fixed_regs[epiphany_m1reg] = 1;
-      call_used_regs[epiphany_m1reg] = 1;
+      fixed_regs[GCC_OPTION (epiphany_m1reg)] = 1;
+      call_used_regs[GCC_OPTION (epiphany_m1reg)] = 1;
     }
   if (!TARGET_PREFER_SHORT_INSN_REGS)
     CLEAR_HARD_REG_SET (reg_class_contents[SHORT_INSN_REGS]);
@@ -2265,14 +2265,14 @@ epiphany_optimize_mode_switching (int entity)
       return true;
     case EPIPHANY_MSW_ENTITY_NEAREST:
     case EPIPHANY_MSW_ENTITY_TRUNC:
-      return optimize > 0;
+      return GCC_OPTION (optimize) > 0;
     case EPIPHANY_MSW_ENTITY_ROUND_UNKNOWN:
       return MACHINE_FUNCTION (cfun)->unknown_mode_uses != 0;
     case EPIPHANY_MSW_ENTITY_ROUND_KNOWN:
       return (MACHINE_FUNCTION (cfun)->sw_entities_processed
 	      & (1 << EPIPHANY_MSW_ENTITY_ROUND_UNKNOWN)) != 0;
     case EPIPHANY_MSW_ENTITY_FPU_OMNIBUS:
-      return optimize == 0 || current_pass == pass_mode_switch_use;
+      return GCC_OPTION (optimize) == 0 || current_pass == pass_mode_switch_use;
     }
   gcc_unreachable ();
 }
@@ -2290,7 +2290,7 @@ epiphany_mode_priority_to_mode (int entity, unsigned priority)
       case 5: return FP_MODE_NONE;
       default: gcc_unreachable ();
       }
-  switch ((enum attr_fp_mode) epiphany_normal_fp_mode)
+  switch ((enum attr_fp_mode) GCC_OPTION (epiphany_normal_fp_mode))
     {
       case FP_MODE_INT:
 	switch (priority)
@@ -2389,7 +2389,7 @@ epiphany_mode_needed (int entity, rtx insn)
 int
 epiphany_mode_entry_exit (int entity, bool exit)
 {
-  int normal_mode = epiphany_normal_fp_mode ;
+  int normal_mode = GCC_OPTION (epiphany_normal_fp_mode) ;
 
   MACHINE_FUNCTION (cfun)->sw_entities_processed |= (1 << entity);
   if (epiphany_is_interrupt_p (current_function_decl))
@@ -2680,10 +2680,10 @@ epiphany_epilogue_uses (int regno)
       return true;
     }
   if (regno == FP_NEAREST_REGNUM
-      && epiphany_normal_fp_mode != FP_MODE_ROUND_TRUNC)
+      && GCC_OPTION (epiphany_normal_fp_mode) != FP_MODE_ROUND_TRUNC)
     return true;
   if (regno == FP_TRUNCATE_REGNUM
-      && epiphany_normal_fp_mode != FP_MODE_ROUND_NEAREST)
+      && GCC_OPTION (epiphany_normal_fp_mode) != FP_MODE_ROUND_NEAREST)
     return true;
   return false;
 }
@@ -2691,7 +2691,7 @@ epiphany_epilogue_uses (int regno)
 static unsigned int
 epiphany_min_divisions_for_recip_mul (enum machine_mode mode)
 {
-  if (flag_reciprocal_math && mode == SFmode)
+  if (GCC_OPTION (flag_reciprocal_math) && mode == SFmode)
     /* We'll expand into a multiply-by-reciprocal anyway, so we might a well do
        it already at the tree level and expose it to further optimizations.  */
     return 1;
diff --git a/gcc/config/epiphany/epiphany.h b/gcc/config/epiphany/epiphany.h
index cffb00c..5c6b6bb 100644
--- a/gcc/config/epiphany/epiphany.h
+++ b/gcc/config/epiphany/epiphany.h
@@ -36,7 +36,7 @@ along with GCC; see the file COPYING3.  If not see
 	builtin_define ("__epiphany__");	\
         builtin_define ("__little_endian__");	\
 	builtin_define_with_int_value ("__EPIPHANY_STACK_OFFSET__", \
-				       epiphany_stack_offset); \
+				       GCC_OPTION (epiphany_stack_offset)); \
 	builtin_assert ("cpu=epiphany");	\
 	builtin_assert ("machine=epiphany");	\
     } while (0)
@@ -479,21 +479,21 @@ typedef struct GTY (()) machine_function
    If FRAME_GROWS_DOWNWARD, this is the offset to the END of the
    first local allocated.  Otherwise, it is the offset to the BEGINNING
    of the first local allocated.  */
-#define STARTING_FRAME_OFFSET epiphany_stack_offset
+#define STARTING_FRAME_OFFSET GCC_OPTION (epiphany_stack_offset)
 
 /* Offset from the stack pointer register to the first location at which
    outgoing arguments are placed.  */
-#define STACK_POINTER_OFFSET epiphany_stack_offset
+#define STACK_POINTER_OFFSET GCC_OPTION (epiphany_stack_offset)
 
 /* Offset of first parameter from the argument pointer register value.  */
 /* 4 bytes for each of previous fp, return address, and previous gp.
    4 byte reserved area for future considerations.  */
 #define FIRST_PARM_OFFSET(FNDECL) \
-  (epiphany_stack_offset \
+  (GCC_OPTION (epiphany_stack_offset) \
    + (MACHINE_FUNCTION (DECL_STRUCT_FUNCTION (FNDECL))->pretend_args_odd \
       ? 4 : 0))
 
-#define INCOMING_FRAME_SP_OFFSET epiphany_stack_offset
+#define INCOMING_FRAME_SP_OFFSET GCC_OPTION (epiphany_stack_offset)
 
 /* Register to use for pushing function arguments.  */
 #define STACK_POINTER_REGNUM GPR_SP
@@ -641,7 +641,7 @@ typedef struct GTY (()) machine_function
 
 #define RTX_OK_FOR_OFFSET_P(MODE, X) \
   RTX_OK_FOR_OFFSET_1 (GET_MODE_CLASS (MODE) == MODE_VECTOR_INT \
-		       && epiphany_vect_align == 4 ? SImode : (MODE), X)
+		       && GCC_OPTION (epiphany_vect_align) == 4 ? SImode : (MODE), X)
 #define RTX_OK_FOR_OFFSET_1(MODE, X) \
   (GET_CODE (X) == CONST_INT \
    && !(INTVAL (X) & (GET_MODE_SIZE (MODE) - 1)) \
@@ -681,7 +681,7 @@ typedef struct GTY (()) machine_function
 /* ??? What's the right value here?  Branches are certainly more
    expensive than reg->reg moves.  */
 #define BRANCH_COST(speed_p, predictable_p) \
-  (speed_p ? epiphany_branch_cost : 1)
+  (speed_p ? GCC_OPTION (epiphany_branch_cost) : 1)
 
 /* Nonzero if access to memory by bytes is slow and undesirable.
    For RISC chips, it means that access to memory by bytes is no
@@ -709,7 +709,7 @@ typedef struct GTY (()) machine_function
    output in the text section, along with the assembler instructions.
    Otherwise, the readonly data section is used.
    This macro is irrelevant if there is no separate readonly data section.  */
-#define JUMP_TABLES_IN_TEXT_SECTION (flag_pic)
+#define JUMP_TABLES_IN_TEXT_SECTION (GCC_OPTION (flag_pic))
 
 /* PIC */
 
@@ -720,7 +720,7 @@ typedef struct GTY (()) machine_function
    pointer and frame pointer registers.  If this macro is not defined, it
    is up to the machine-dependent files to allocate such a register (if
    necessary).  */
-#define PIC_OFFSET_TABLE_REGNUM  (flag_pic ? PIC_REGNO : INVALID_REGNUM)
+#define PIC_OFFSET_TABLE_REGNUM  (GCC_OPTION (flag_pic) ? PIC_REGNO : INVALID_REGNUM)
 
 /* Control the assembler format that we output.  */
 
@@ -809,7 +809,7 @@ do \
       const char *__name = (FNAME);					\
       tree attrs = DECL_ATTRIBUTES ((DECL));				\
 									\
-      if (!flag_inhibit_size_directive)					\
+      if (!GCC_OPTION (flag_inhibit_size_directive))					\
 	{								\
 	  if (lookup_attribute ("forwarder_section", attrs))			\
 	    {								\
@@ -841,7 +841,7 @@ do \
 
 /* Specify the machine mode that this machine uses
    for the index in the tablejump instruction.  */
-#define CASE_VECTOR_MODE (TARGET_SMALL16 && optimize_size ? HImode : Pmode)
+#define CASE_VECTOR_MODE (TARGET_SMALL16 && GCC_OPTION (optimize_size) ? HImode : Pmode)
 
 /* Define if operations between registers always perform the operation
    on the full register even if a narrower mode is specified.  */
@@ -936,7 +936,7 @@ extern rtl_opt_pass *make_pass_resolve_sw_modes (gcc::context *ctxt);
 
 /* This will need to be adjusted when FP_CONTRACT_ON is properly
    implemented.  */
-#define TARGET_FUSED_MADD (flag_fp_contract_mode == FP_CONTRACT_FAST)
+#define TARGET_FUSED_MADD (GCC_OPTION (flag_fp_contract_mode) == FP_CONTRACT_FAST)
 
 #undef ASM_DECLARE_FUNCTION_NAME
 #define ASM_DECLARE_FUNCTION_NAME(FILE, NAME, DECL) \
diff --git a/gcc/config/epiphany/resolve-sw-modes.c b/gcc/config/epiphany/resolve-sw-modes.c
index 1684918..6dd07b0 100644
--- a/gcc/config/epiphany/resolve-sw-modes.c
+++ b/gcc/config/epiphany/resolve-sw-modes.c
@@ -48,7 +48,7 @@ along with GCC; see the file COPYING3.  If not see
 static bool
 gate_resolve_sw_modes (void)
 {
-  return optimize;
+  return GCC_OPTION (optimize);
 }
 
 static unsigned
diff --git a/gcc/config/fr30/fr30.c b/gcc/config/fr30/fr30.c
index 65084f6..1f8baed 100644
--- a/gcc/config/fr30/fr30.c
+++ b/gcc/config/fr30/fr30.c
@@ -1009,7 +1009,7 @@ fr30_move_double (rtx * operands)
 bool
 fr30_frame_pointer_required (void)
 {
-  return (flag_omit_frame_pointer == 0 || crtl->args.pretend_args_size > 0);
+  return (GCC_OPTION (flag_omit_frame_pointer) == 0 || crtl->args.pretend_args_size > 0);
 }
 
 /*}}}*/
